=== debian/changelog ===
nodejs (0.1.97-1build1) maverick; urgency=low

  * No changes upload for libv8-2.2.7 -> libv8-2.2.18 transition

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Thu, 16 Sep 2010 05:32:58 +0200

nodejs (0.1.97-1) unstable; urgency=low

  * New upstream release

 -- Jérémy Lal <kapouer@melix.org>  Sun, 30 May 2010 23:14:24 +0200

nodejs (0.1.95-1) unstable; urgency=low

  * New upstream release

 -- Jérémy Lal <kapouer@melix.org>  Fri, 14 May 2010 02:05:25 +0200

nodejs (0.1.94-2) unstable; urgency=low

  * Drop dependencies on libgnutls-dev, libgpg-error-dev.
  * Modules path moved to /usr/lib/nodejs (without /modules), to
    follow more closely upstream practice.
  * node-repl is now in /usr/share/nodejs because it is
    simply a js script file ; nodejs-repl still in /usr/bin

 -- Jérémy Lal <kapouer@melix.org>  Tue, 11 May 2010 19:52:12 +0200

nodejs (0.1.94-1) unstable; urgency=low

  * New upstream release
  * API has changed and will be more stable with 0.2 release
  * Fix dependency on libv8. (Closes: #579044)
  * Switched from gnutls to libssl.

 -- Jérémy Lal <kapouer@melix.org>  Thu, 06 May 2010 23:19:12 +0200

nodejs (0.1.92-1) unstable; urgency=low

  * New upstream release
  * Switch from udns to c-ares.

 -- Jérémy Lal <kapouer@melix.org>  Sat, 24 Apr 2010 09:12:06 +0200

nodejs (0.1.33-3) unstable; urgency=low

  * Fix wrong use of binary-indep target in debian/rules.
    (Closes: #575383) 

 -- Jérémy Lal <kapouer@melix.org>  Mon, 05 Apr 2010 15:26:40 +0200

nodejs (0.1.33-2) unstable; urgency=low

  * Previous package was broken in some way. (Closes: #575383)

 -- Jérémy Lal <kapouer@melix.org>  Thu, 25 Mar 2010 12:24:06 +0100

nodejs (0.1.33-1) unstable; urgency=low

  * New upstream release. (Closes: #572023)
  * Debian package has the same license as upstream (MIT).
  * Include waf in source package and nodejs-dev package. (Closes: #571710)
  * Switch to dpkg-source 3.0 (quilt) format.
  * Place modules directory in usr/lib/nodejs/modules,
    and add it to nodejs module path. Documentation in README.Debian.
  * Architecture: any since the supported archs depends only on libv8.

 -- Jérémy Lal <kapouer@melix.org>  Mon, 22 Mar 2010 01:53:48 +0100

nodejs (0.1.27+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #553514)

 -- Jérémy Lal <kapouer@melix.org>  Sun, 07 Feb 2010 01:16:07 +0100
