=== debian/control ===
Source: nodejs
Section: web
Priority: extra
Maintainer: Jérémy Lal <kapouer@melix.org>
Uploaders: Dave Beckett <dajobe@debian.org>
Build-Depends: debhelper (>= 7), python, libev-dev (>= 3.9), libv8-dev (>= 2.2.7), scons (>= 1.2.0), libc-ares-dev (>= 1.7.1), binutils, libssl-dev (>= 0.9.8), pkg-config
Standards-Version: 3.8.4
Homepage: http://nodejs.org/
Vcs-Browser: http://git.debian.org/?p=collab-maint/nodejs.git
Vcs-Git: git://git.debian.org/git/collab-maint/nodejs.git

Package: nodejs-dev
Section: devel
Architecture: any
Depends: nodejs (= ${binary:Version}), ${misc:Depends}, python, libev-dev (>= 3.9), libv8-dev (>= 2.2.7), libc-ares-dev (>= 1.7.1), libssl-dev (>= 0.9.8)
Description: Development files for Node.js
 Node.js provides an event-based server-side javascript engine.
 .
 It is similar in design to and influenced by systems like
 Ruby's Event Machine or Python's Twisted.
 .
 Node.js takes the event model a bit further - it presents the event
 loop as a language construct instead of as a library.
 .
 This package is needed to build plugins.

Package: nodejs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, rlwrap
Description: Node.js event-based server-side javascript engine
 Node.js is similar in design to and influenced by systems like
 Ruby's Event Machine or Python's Twisted.
 .
 It takes the event model a bit further - it presents the event
 loop as a language construct instead of as a library.
 .
 Node.js is bundled with several useful libraries to handle server tasks :
 System, Events, Standard I/O, Modules, Timers, Child Processes, POSIX,
 HTTP, Multipart Parsing, TCP, DNS, Assert, Path, URL, Query Strings.

Package: nodejs-dbg
Section: debug
Architecture: any
Depends: ${misc:Depends}, nodejs (= ${binary:Version})
Suggests: libv8-dbg (>= 2.2.7)
Description: Node.js event-based server-side javascript engine (debug)
 Node.js is similar in design to and influenced by systems like
 Ruby's Event Machine or Python's Twisted.
 .
 It takes the event model a bit further - it presents the event
 loop as a language construct instead of as a library.
 .
 Node.js is bundled with several useful libraries to handle server tasks :
 System, Events, Standard I/O, Modules, Timers, Child Processes, POSIX,
 HTTP, Multipart Parsing, TCP, DNS, Assert, Path, URL, Query Strings.
 .
 This package contains the debugging symbols.
