=== debian/control ===
--- 
+++ 
@@ -1,10 +1,24 @@
 Source: nodejs
 Section: web
 Priority: extra
-Maintainer: Jérémy Lal <kapouer@melix.org>
-Uploaders: Dave Beckett <dajobe@debian.org>
-Build-Depends: debhelper (>= 7), python, libev-dev (>= 3.9), libv8-dev (>= 2.2.7), scons (>= 1.2.0), libc-ares-dev (>= 1.7.1), binutils, libssl-dev (>= 0.9.8), pkg-config
-Standards-Version: 3.8.4
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jérémy Lal <kapouer@melix.org>
+Uploaders: Dave Beckett <dajobe@debian.org>,
+ Jonas Smedegaard <dr@jones.dk>
+Build-Depends: cdbs (>= 0.4.85~),
+ debhelper (>= 7.0.1),
+ dh-buildinfo,
+ python,
+ libev-dev (>= 3.9),
+ libv8-dev (>= 2.5.9.9),
+ scons (>= 1.2.0),
+ libc-ares-dev (>= 1.7.3),
+ binutils,
+ libssl-dev (>= 0.9.8),
+ pkg-config,
+ bash-completion,
+ curl
+Standards-Version: 3.9.1
 Homepage: http://nodejs.org/
 Vcs-Browser: http://git.debian.org/?p=collab-maint/nodejs.git
 Vcs-Git: git://git.debian.org/git/collab-maint/nodejs.git
@@ -12,7 +26,13 @@
 Package: nodejs-dev
 Section: devel
 Architecture: any
-Depends: nodejs (= ${binary:Version}), ${misc:Depends}, python, libev-dev (>= 3.9), libv8-dev (>= 2.2.7), libc-ares-dev (>= 1.7.1), libssl-dev (>= 0.9.8)
+Depends: nodejs (= ${binary:Version}),
+ ${misc:Depends},
+ python,
+ libev-dev (>= 3.9),
+ libv8-dev (>= 2.5.9.9),
+ libc-ares-dev (>= 1.7.3),
+ libssl-dev (>= 0.9.8)
 Description: Development files for Node.js
  Node.js provides an event-based server-side javascript engine.
  .
@@ -26,7 +46,9 @@
 
 Package: nodejs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, rlwrap
+Depends: ${shlibs:Depends},
+ ${misc:Depends}
+Conflicts: node
 Description: Node.js event-based server-side javascript engine
  Node.js is similar in design to and influenced by systems like
  Ruby's Event Machine or Python's Twisted.
@@ -41,8 +63,9 @@
 Package: nodejs-dbg
 Section: debug
 Architecture: any
-Depends: ${misc:Depends}, nodejs (= ${binary:Version})
-Suggests: libv8-dbg (>= 2.2.7)
+Depends: ${misc:Depends},
+ nodejs (= ${binary:Version})
+Suggests: libv8-dbg
 Description: Node.js event-based server-side javascript engine (debug)
  Node.js is similar in design to and influenced by systems like
  Ruby's Event Machine or Python's Twisted.
