=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_UPSTREAM_URL = http://nodejs.org/dist
DEB_UPSTREAM_TARBALL_BASENAME = node-v$(DEB_UPSTREAM_TARBALL_VERSION)
DEB_CONFIGURE_NORMAL_ARGS =
DEB_CONFIGURE_EXTRA_FLAGS = --debug --shared-v8 --shared-cares --shared-libev
DEB_CONFIGURE_SCRIPT_ENV += PREFIX="/usr"
DEB_DESTDIR = $(CURDIR)/debian/nodejs
DEB_MAKE_CLEAN_TARGET = clean
DEB_MAKE_CHECK_TARGET = test

# ignore upstream shipped backup files
DEB_CLEAN_EXCLUDE = deps/v8/src/SConscript.orig deps/v8/src/platform.h.orig

# remove links to binaries
clean::
	rm -f node
	rm -f node_g

# waf files
clean::
	rm -f .lock-wscript
	rm -rf build

# make test creates some files and folders
clean::
	rm -f test/fixtures/hello.txt
	rm -f test/fixtures/cycles/folder/cycles
	rm -rf test/tmp

# first make fails, and creates *.pyc files
clean::
	find . -name "*.pyc" -delete

# don't install node-repl
install/nodejs::	
	rm -f $(CURDIR)/debian/nodejs/usr/bin/node-repl

# rename and install binaries in nodejs-dbg
install/nodejs-dbg::
	mv $(CURDIR)/debian/nodejs/usr/bin/node_g $(CURDIR)/debian/nodejs-dbg/usr/lib/debug/usr/bin/node

# we have completion for nodejs-waf
install/nodejs-dev::
	dh_bash-completion

# headers for nodejs-dev
install/nodejs-dev::
	mv $(CURDIR)/debian/nodejs/usr/include/node/* $(CURDIR)/debian/nodejs-dev/usr/include/nodejs/
	rm -rf $(CURDIR)/debian/nodejs/usr/include

# waf for nodejs-dev
install/nodejs-dev::
	mv $(CURDIR)/debian/nodejs/usr/bin/node-waf $(CURDIR)/debian/nodejs-dev/usr/bin/
	mv $(CURDIR)/debian/nodejs/usr/share/nodejs/wafadmin $(CURDIR)/debian/nodejs-dev/usr/share/nodejs/
